function video_ondas_2d(U,X,Y,T,paso,color)
    if nargin < 5
        paso = 1;
    end
    if nargin < 6
        color = 'interp';
    end
    sombreado = 'phong'; %puede ser flat,gouraud y phong
    zratio = 5;

    %calculamos los lmites para los ejes de la grfica
    maxz = -100000e+060;
    minz = 10000e+060;
    for k = 1:length(T)
        maximo = max(max(U(:,:,k)));
        if maximo > maxz
            maxz = maximo;
        end
        minimo = min(min(U(:,:,k)));
        if minimo < minz
            minz = minimo;
        end
    end
    minx = X(1);
    maxx = X(length(X));
    miny = Y(1);
    maxy = Y(length(Y));
    
     %surf(X,Y,U(:,:,1)');
        surf(X,Y,U(:,:,1)','FaceColor',color,...
            'EdgeColor','none',...
            'FaceLighting',sombreado);
        %daspect([5 5 1]);
        set(gca,'DataAspectRatio',[(maxx-minx) (maxy-miny) zratio*(maxz-minz)]);
        view(-50,30);
        camlight left;
        axis([minx maxx miny maxy minz maxz]);
        xlabel('x');
        ylabel('y');
        zlabel('z');
        title('Ecuacion de ondas: t = 0');

    input('presiona tecla para ver video');

    i =1; %numero de frame
    for k = 1:paso:length(T)
        %surf(X,Y,U(:,:,k)');
        surf(X,Y,U(:,:,k)','FaceColor',color,...
            'EdgeColor','none',...
            'FaceLighting',sombreado);
        %daspect([5 5 1]);
        set(gca,'DataAspectRatio',[(maxx-minx) (maxy-miny) zratio*(maxz-minz)]);
        view(-50,30);
        camlight left;
        axis([minx maxx miny maxy minz maxz]);
        xlabel('x');
        ylabel('y');
        zlabel('z');
        title(sprintf('Ecuacion de ondas: t = %3.2f',T(k)));
        M(i) = getframe;
        i = i+1;
    end

    movie(M,1);
return;
